For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • POSTCreate folder
        • POSTMove document
        • POSTBulk move documents
      • GETSearch knowledge base
      • GETGet dependent agents
      • GETGet knowledge base size
      • GETGet knowledge base summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsKnowledge BaseFolders

Bulk move documents

POST
/v1/convai/knowledge-base/bulk-move
POST
/v1/convai/knowledge-base/bulk-move
$curl -X POST https://api.elevenlabs.io/v1/convai/knowledge-base/bulk-move \
> -H "Content-Type: application/json" \
> -d '{
> "document_ids": [
> "21m00Tcm4TlvDq8ikWAM",
> "31m00Tcm4TlvDq8ikWBM"
> ]
>}'
1{}
Moves multiple entities from one folder to another.
Was this page helpful?
Previous

Compute RAG index

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
document_idslist of stringsRequired
The ids of documents or folders from the knowledge base.
move_tostring or nullOptional
The folder to move the entities to. If not set, the entities will be moved to the root folder.

Response

Successful Response

Errors

422
Unprocessable Entity Error